Package wx :: Package lib :: Package analogclock :: Module analogclock :: Class AnalogClockWindow

[frames | no frames]

## Type AnalogClockWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                  PyWindow --+
                             |
                   AnalogClock --+
                                 |
                                AnalogClockWindow

A simple derived class that provides some backwards compatibility with the old analogclock module.

Method Summary
| ``SetClockStyle`(self, style)` Set the clock style, according to the options below.
| `SetHandColours(self, h, m, s)`
| `SetHandWeights(self, h, m, s)`
| `SetMinutesOffset(self, o)`
| `SetShadowColour(self, s)`
| `SetTickColours(self, h, m)`
| `SetTickFontss(self, h, m)`
| `SetTickShapes(self, tsh, tsm)`
| `SetTickSizes(self, h, m)`
| `SetTickStyles(self, h, m)`
| `SetWatchPenBrush(self, p, b)`

Property Summary

Instance Method Details

### SetClockStyle(self, style)

Set the clock style, according to the options below.

> SHOW_QUARTERS_TICKS | Show marks for hours 3, 6, 9, 12
> SHOW_HOURS_TICKS | Show marks for all hours
> SHOW_MINUTES_TICKS | Show marks for minutes
> SHOW_HOURS_HAND | Show hours hand
> SHOW_MINUTES_HAND | Show minutes hand
> SHOW_SECONDS_HAND | Show seconds hand
> SHOW_SHADOWS | Show hands and marks shadows
> ROTATE_TICKS | Align tick marks to watch
> OVERLAP_TICKS | Draw tick marks for minutes even when they match the hours marks.

  Overrides:
    `wx.lib.analogclock.analogclock.AnalogClock.SetClockStyle` (inherited documentation)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:41 2007 | http://epydoc.sf.net